> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/devx/5.5/user-guide/cli/admin/groups.md).

# Groups

## View groups <a href="#view-groups" id="view-groups"></a>

List the current user groups.

```bash
lenses-cli groups
```

## View group <a href="#view-group" id="view-group"></a>

Get the details of a user group:

```bash
lenses-cli groups get --name Group1
```

Get the assigned data namespaces of a user group:

```bash
lenses-cli groups get --name Group1 --dataNamespaces
```

## Create <a href="#create" id="create"></a>

Create a user group via the command line flags or file:

```bash
lenses-cli groups create \
    --name MyGroup \
    --description "My test group" \
    --applicationPermissions ViewKafkaConsumers \
    --applicationPermissions ManageKafkaConsumers \
    --applicationPermissions ViewConnectors \
    --connectClustersPermissions dev \
    --dataNamespaces '[{"wildcards":["*"],"permissions":["CreateTopic","DropTopic","ConfigureTopic","QueryTopic","ShowTopic","ViewSchema","InsertData","DeleteData","UpdateSchema"],"system":"Kafka","instance":"Dev"}]'

# from a file:
lenses-cli groups create ./group.yaml
```

Example file

```yaml
name: MyGroup
description: "My test group"
applicationPermissions:
  - ViewKafkaConsumers
  - ManageKafkaConsumers
  - ViewConnectors
connectClustersPermissions:
  - dev
dataNamespaces:
  - wildcards:
      - "*"
    permissions:
      - CreateTopic
      - DropTopic
      - ConfigureTopic
      - QueryTopic
      - ShowTopic
      - ViewSchema
      - InsertData
      - DeleteData
      - UpdateSchema
    system: Kafka
    instance: Dev
```

## Update <a href="#update" id="update"></a>

Update a user group:

```bash
lenses-cli groups update \
    --name MyGroup \
    --description "My test group" \
    --applicationPermissions ViewKafkaConsumers \
    --applicationPermissions ManageKafkaConsumers \
    --applicationPermissions ViewConnectors \
    --connectClustersPermissions dev \
    --dataNamespaces '[{"wildcards":["*"],"permissions":["CreateTopic","RequestTopicCreation", "DropTopic","ConfigureTopic","QueryTopic","ShowTopic","InsertData","DeleteData","UpdateSchema","ViewSchema"],"system":"Kafka","instance":"Dev"}]'
```

## Delete <a href="#delete" id="delete"></a>

Delete a user group:

```bash
lenses-cli groups delete --name Group1
```

## Clone <a href="#clone" id="clone"></a>

Clone a user group:

```bash
lenses-cli groups clone --name Group1 --cloneName Group1Cloned
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lenses.io/latest/devx/5.5/user-guide/cli/admin/groups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
